Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235500 - [PATCH] Make gcc-java etc. really conditional in spec file
Summary: [PATCH] Make gcc-java etc. really conditional in spec file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-06 11:18 UTC by Robert Scheck
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 4.1.2-9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-19 07:40:01 UTC


Attachments (Terms of Use)
Patch to make java in gcc41.spec conditional (deleted)
2007-04-06 11:20 UTC, Robert Scheck
no flags Details | Diff

Description Robert Scheck 2007-04-06 11:18:49 UTC
Description of problem:
There are already some %if's regarding java in gcc41.spec, but please make gcc-
java etc. really conditional in spec file. I've attached a working patch which 
solves this "issue" for me. Please apply in devel branch for the next rebuild.

Version-Release number of selected component (if applicable):
gcc-4.1.2-8

Comment 1 Robert Scheck 2007-04-06 11:20:06 UTC
Created attachment 151868 [details]
Patch to make java in gcc41.spec conditional

Comment 2 Jakub Jelinek 2007-04-06 19:31:03 UTC
Only the last hunk is actually needed, the rest is pointless.

Comment 3 Robert Scheck 2007-04-06 20:23:43 UTC
All hunks are needed, otherwise build requirements from gcc-java etc. are 
enforced during build which is pointless. And if gcc-java is not available,
the other hunks should be applied, too (because of conditional package).

Comment 4 Jakub Jelinek 2007-04-19 07:40:01 UTC
Should be fixed (differently) in gcc-4.1.2-9 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.